Package org.apache.aries.jax.rs.openapi

## Class OpenApiResource

- java.lang.Object
- - io.swagger.v3.jaxrs2.integration.resources.BaseOpenApiResource
  - - org.apache.aries.jax.rs.openapi.OpenApiResource

    @Capability(namespace="osgi.implementation",
                name="org.apache.aries.jax.rs.openapi")
    @Path("/openapi.{type:json|yaml}")
    public class OpenApiResource
    extends io.swagger.v3.jaxrs2.integration.resources.BaseOpenApiResource

### Field Summary

### Fields inherited from class io.swagger.v3.jaxrs2.integration.resources.BaseOpenApiResource

`configLocation, openApiConfiguration, resourcePackages`

### Constructor Summary

Constructors
`OpenApiResource​(long serviceId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `getOpenApi​(javax.ws.rs.core.HttpHeaders headers, javax.ws.rs.core.UriInfo uriInfo, String type)`

### Methods inherited from class io.swagger.v3.jaxrs2.integration.resources.BaseOpenApiResource

`configLocation, getConfigLocation, getContextId, getOpenApi, getOpenApiConfiguration, getResourcePackages, openApiConfiguration, resourcePackages, setConfigLocation, setOpenApiConfiguration, setResourcePackages`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenApiResource

    public OpenApiResource​(long serviceId)

### Method Detail

#### getOpenApi

    @GET
    @Produces({"application/json","application/yaml"})
    public javax.ws.rs.core.Response getOpenApi​(@Context
                                                javax.ws.rs.core.HttpHeaders headers,
                                                @Context
                                                javax.ws.rs.core.UriInfo uriInfo,
                                                @PathParam("type")
                                                String type)
                                         throws Exception

Throws:
  `Exception`